all:	libimp.a
	echo All up to date

libimp.a: getfstat.o cstring.o delldiag11.1.o fauxst5.o ftnreal20.o mfnerr1.o oldies.o \
          penv3langs.3.o penv3maths.o penv3mxtrs.o powii.o sipower.o \
          uiocp17.o bmove.o dumfdiag.o dumsig.o fccdiv1.o fcddiv1.o fstop.o \
          i_bfill.o impsaferead.o main.o main1.o powdi.o powri.o s_bfill.o \
          setsigs6.o ftncomp65.5c.o
	rm -f libimp.a
	ar rc libimp.a uiocp17.o powdi.o powii.o powri.o main.o s_bfill.o \
	               i_bfill.o  fauxst5.o delldiag11.1.o \
	               penv3langs.3.o penv3maths.o penv3mxtrs.o ftnreal20.o \
	               dumsig.o sipower.o \
	               mfnerr1.o fstop.o setsigs6.o oldies.o dumfdiag.o \
	               impsaferead.o bmove.o getfstat.o ftncomp65.5c.o

cstring.o: cstring.i
	p5impcompiler-prepentium cstring.i MAXDICT,MAXWORK

delldiag11.1.o: delldiag11.1.i
	p5impcompiler-prev delldiag11.1.i MAXDICT,MAXWORK

fauxst5.o: fauxst5.i
	p5impcompiler-prepentium fauxst5.i MAXDICT,MAXWORK

ftnreal20.o: ftnreal20.i
	p5impcompiler-prepentium ftnreal20.i MAXDICT,MAXWORK

mfnerr1.o: mfnerr1.i
	p5impcompiler-prepentium mfnerr1.i MAXDICT,MAXWORK

oldies.o: oldies.i
	p5impcompiler-prepentium oldies.i MAXDICT,MAXWORK

penv3langs.3.o: penv3langs.3.i
	p5impcompiler-prepentium penv3langs.3.i MAXDICT,MAXWORK

penv3maths.o: penv3maths.i
	p5impcompiler-prev penv3maths.i MAXDICT,MAXWORK

penv3mxtrs.o: penv3mxtrs.i
	p5impcompiler-prepentium penv3mxtrs.i MAXDICT,MAXWORK

powii.o: powii.i
	p5impcompiler-prepentium powii.i MAXDICT,MAXWORK

sipower.o: sipower.i
	p5impcompiler-prepentium sipower.i MAXDICT,MAXWORK

uiocp17.o: uiocp17.i
	p5impcompiler-prepentium uiocp17.i MAXDICT,MAXWORK

ftncomp65.5c.o: ftncomp65.5c.i
	p5impcompiler-prepentium ftncomp65.5c.i MAXDICT,MAXWORK

getfstat.o: getfstat.c
	cc -g -c -Wall -D__POSIX__=1  getfstat.c

bmove.o: bmove.c
	cc -g -c -Wall -D__POSIX__=1  bmove.c

dumfdiag.o: dumfdiag.c
	cc -g -c -Wall -D__POSIX__=1  dumfdiag.c

dumsig.o: dumsig.c
	cc -g -c -Wall -D__POSIX__=1  dumsig.c

fccdiv1.o: fccdiv1.c
	cc -g -c -Wall -D__POSIX__=1  fccdiv1.c

fcddiv1.o: fcddiv1.c
	cc -g -c -Wall -D__POSIX__=1  fcddiv1.c

fstop.o: fstop.c
	cc -g -c -Wall -D__POSIX__=1  fstop.c

i_bfill.o: i_bfill.c
	cc -g -c -Wall -D__POSIX__=1  i_bfill.c

impsaferead.o: impsaferead.c
	cc -g -c -Wall -D__POSIX__=1  impsaferead.c

main.o: main.c
	cc -g -c -Wall -D__POSIX__=1  main.c

main1.o: main1.c
	cc -g -c -Wall -D__POSIX__=1  main1.c

powdi.o: powdi.c
	cc -g -c -Wall -D__POSIX__=1  powdi.c

powri.o: powri.c
	cc -g -c -Wall -D__POSIX__=1  powri.c

s_bfill.o: s_bfill.c
	cc -g -c -Wall -D__POSIX__=1  s_bfill.c

setsigs6.o: setsigs6.c
	cc -g -c -Wall -D__POSIX__=1  setsigs6.c


install: libimp.a
	cp /usr/lib/libimp2.a libimp2.a.BAK
	cp libimp.a /usr/lib/libimp2.a
